﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SVMctl_I2C_CSharp
{
    /// <summary>
    /// ボード選択画面
    /// </summary>
    public partial class FormSelectBoard : Form
    {
        #region ▼ Field
        /// <summary>
        /// 接続ボードリスト
        /// </summary>
        private List<BoardInformation> boardInformationList;
        #endregion

        #region ▼ Property
        #endregion

        #region ▼ Constructor
        /// <summary>
        /// コンストラクタ
        /// </summary>
        /// <param name="boardInformationList">接続ボードリスト</param>
        public FormSelectBoard(List<BoardInformation> boardInformationList = null)
        {
            // デザイナコンポーネントを初期化
            this.InitializeComponent();

            // ボードリストが空の場合
            if (boardInformationList == null || boardInformationList.Count == 0)
            {
                // このフォームを閉じる
                this.Close();
            }

            this.boardInformationList = boardInformationList;
        }
        #endregion

        #region ▼ Event

        /// <summary>
        /// フォームが読み込まれるときの処理。
        /// </summary>
        /// <param name="sender">発生元</param>
        /// <param name="e">添付情報</param>
        private void FormSelectBoard_Load(object sender, EventArgs e)
        {
            // コンボボックスへセット
            foreach (BoardInformation boardInformation in this.boardInformationList)
            {
                this.comboBoxConnectedBoards.Items.Add(boardInformation.DeviceId + ": " + boardInformation.BoardName);
            }

            // 1件目を選択
            this.comboBoxConnectedBoards.SelectedIndex = 0;
        }

        /// <summary>
        /// OKボタンのクリックイベント
        /// </summary>
        /// <param name="sender">発生元</param>
        /// <param name="e">添付情報</param>
        private void buttonOK_Click(object sender, EventArgs e)
        {
            //ボード選択ウインドウを非表示
            this.Hide();

            //メインウインドウ表示
            FormSVMCtl mainForm = new FormSVMCtl(this.boardInformationList[this.comboBoxConnectedBoards.SelectedIndex]);
            mainForm.ShowDialog();

            //ボード選択ウインドウを閉じる
            this.Close();
        }


        #endregion

        #region ▼ Private Method
        #endregion

        #region ▼ Public Method

        #endregion

        #region ▼ Override Method
        #endregion
    }
}
